Bug 1574930 - System-upgrade pollutes userinstalled with a lot of packages
Summary: System-upgrade pollutes userinstalled with a lot of packages
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Blaha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 11:22 UTC by Jarno Purontakanen
Modified: 2019-11-27 23:30 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:30:12 UTC
Type: Bug


Attachments (Terms of Use)
list of dnf repoquery --userinstalled before upgrade to F28 (682 bytes, text/plain)
2018-05-04 11:22 UTC, Jarno Purontakanen
no flags Details
list of dnf repoquery --userinstalled after upgrade to F28 (2.21 KB, text/plain)
2018-05-04 11:23 UTC, Jarno Purontakanen
no flags Details

Description Jarno Purontakanen 2018-05-04 11:22:40 UTC
Created attachment 1431275 [details]
list of dnf repoquery --userinstalled before upgrade to F28

Description of problem:
After F28 upgrade of my desktop system I noticed that dnf repoquery --userinstalled showed hundreds of packages I definitely had not installed myself. As this was an old system with multiple distro upgrades I tried the same with my minimal fedora server which was installed as F27. The server had 20 packages in the userinstalled list of which I know I've only installed 5. After the update the list contained 63 packages.

Am I hitting a bug where userinstalled-list gets filled with non-userinstalled packages or is the naming of the --user-installed just misleading?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Prepare system for upgrade to F28 
2. Save output of 'dnf repoquery --userinstalled'
3. Upgrade to F28 using 'dnf system-upgrade'
4. Do post upgrade stuff (dnf distro-sync etc)
5. Save output of 'dnf repoquery --userinstalled' and compare to previous list

Actual results:

Post-upgrade list has lots of non-userinstalled packages

Expected results:

'dnf repoquery --userinstalled' lists only the actual packages installed by the user.

Additional info:

Comment 1 Jarno Purontakanen 2018-05-04 11:23:25 UTC
Created attachment 1431276 [details]
list of dnf repoquery --userinstalled after upgrade to F28

Comment 2 Marek Blaha 2018-05-15 11:39:44 UTC
Thanks for reporting! You are right, there is a problem in system-upgrade command. Unfortunately we are not able to fix it at the moment - it is blocked by swdb (new version of packages history database). After swdb is released (we hope in following days/weeks), we can revise system-upgrade and fix this bug.

As a workaround, you can use 'dnf mark' command to unmark package as user installed (http://dnf.readthedocs.io/en/latest/command_ref.html#mark-command)

e.g.: # dnf mark remove web-assets-filesystem

Comment 3 Jan Kurik 2018-08-14 10:04:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Chris Tao 2019-04-16 08:08:57 UTC
I can still reproduce by system-upgrading a fresh, minimal f29 install to f30 in a qemu vm.

I've experienced this bug since I upgraded from f28 to f29 last year. Upgrading via gnome-software was not affected, though.

Comment 5 Ben Cotton 2019-10-31 18:47:53 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-11-27 23:30:12 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.